For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

program list

get

https://pro-api.solscan.io/v2.0/program/list

Get list of programs that active in 90 days

QUERY PARAMS

sort_by

string

Field to sort by

sort_order

string

Sort order

page

number

Page number for pagination

page_size

number

Number of items per page

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

total

number

The total number of programs in specified time range

program

string

The address of the program.

number_transactions

number

The total number of transactions of the program in specified time range.

number_transactions_success

number

The total number of success transactions of the program in specified time range.

success_rate

number

The success rate of the program in specified time range.

last_24h_active_users

number

The number of active users in last 24h.

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples